#include <QApplication>

#include "mainwindow.h"

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);

	//	start transfer language
	QString slang;
	if(app.arguments().size()>=2){
		slang=app.arguments().at(1);
	}
	if(slang.isEmpty()){
		slang=QLocale::system().name();
	}
	
	QTranslator qtTranslator;
	qtTranslator.load("qt_" + slang,
	     QLibraryInfo::location(QLibraryInfo::TranslationsPath));
	app.installTranslator(&qtTranslator);
	
	QTranslator myappTranslator;
	myappTranslator.load("guiupdate_" + slang);
	app.installTranslator(&myappTranslator);
	//	end transfer language
	
	MainWindow mainWin(slang);
	mainWin.show();
	return app.exec();
}
