#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui>

class MainWindow : public QWidget
{
	Q_OBJECT

public:
	MainWindow(const QString slang);

protected:
	virtual bool event ( QEvent * event );
	virtual void resizeEvent ( QResizeEvent * event );


private:
	QString transfer1(int type);
	QString transfer2(int type);
	QString transfer3(int type);

private:
	QMenuBar *m_menu;
	QMenu *m_fileMenu;
	QAction *m_exit_act;

	QStatusBar *m_status;

	bool m_active;


};

#endif
