#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui>

namespace TESTINT {

class MainWindow : public QWidget
{
	Q_OBJECT

public:
	MainWindow();

protected:
	virtual bool event ( QEvent * event );
	virtual void resizeEvent ( QResizeEvent * event );

private slots:
	void updateMenus();

private:
	QString transfer1(int type);
	QString transfer2(int type);
	QString transfer3_source(int type);
	QString transfer3_comment(int type);

private:
	QMenuBar *m_menu;
	QMenu *m_fileMenu;
	QAction *m_exit_act;

	QStatusBar *m_status;

	bool m_active;


};

}

#endif
