#include <QApplication>

#include "mainwindow.h"

int main(int argc, char *argv[])
{
	QApplication app(argc, argv);

	QTranslator qtTranslator;
	qtTranslator.load("qt_" + QLocale::system().name(),
	     QLibraryInfo::location(QLibraryInfo::TranslationsPath));
	app.installTranslator(&qtTranslator);
	
	QTranslator myappTranslator;
	myappTranslator.load("guiupdate_" + QLocale::system().name());
	app.installTranslator(&myappTranslator);
	
	TESTINT::MainWindow mainWin;
	mainWin.show();
	return app.exec();
}
